# coding: utf-8

# flake8: noqa

"""
    STACKIT Membership API

    The Membership API is used to manage memberships, roles and permissions of STACKIT resources, like projects, folders, organizations and other resources.

    The version of the OpenAPI document: 2.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


__version__ = "1.0.0"

# Define package exports
__all__ = [
    "DefaultApi",
    "ApiResponse",
    "ApiClient",
    "HostConfiguration",
    "OpenApiException",
    "ApiTypeError",
    "ApiValueError",
    "ApiKeyError",
    "ApiAttributeError",
    "ApiException",
    "AddMembersPayload",
    "ErrorResponse",
    "ExistingPermission",
    "ListMembersResponse",
    "ListPermissionsResponse",
    "ListUserMembershipsResponse",
    "ListUserPermissionsResponse",
    "Member",
    "MembersResponse",
    "Permission",
    "RemoveMembersPayload",
    "Role",
    "RolesResponse",
    "UserMembership",
    "UserPermission",
    "Zookie",
]

# import apis into sdk package
from stackit.authorization.api.default_api import DefaultApi as DefaultApi
from stackit.authorization.api_client import ApiClient as ApiClient

# import ApiClient
from stackit.authorization.api_response import ApiResponse as ApiResponse
from stackit.authorization.configuration import HostConfiguration as HostConfiguration
from stackit.authorization.exceptions import ApiAttributeError as ApiAttributeError
from stackit.authorization.exceptions import ApiException as ApiException
from stackit.authorization.exceptions import ApiKeyError as ApiKeyError
from stackit.authorization.exceptions import ApiTypeError as ApiTypeError
from stackit.authorization.exceptions import ApiValueError as ApiValueError
from stackit.authorization.exceptions import OpenApiException as OpenApiException

# import models into sdk package
from stackit.authorization.models.add_members_payload import (
    AddMembersPayload as AddMembersPayload,
)
from stackit.authorization.models.error_response import ErrorResponse as ErrorResponse
from stackit.authorization.models.existing_permission import (
    ExistingPermission as ExistingPermission,
)
from stackit.authorization.models.list_members_response import (
    ListMembersResponse as ListMembersResponse,
)
from stackit.authorization.models.list_permissions_response import (
    ListPermissionsResponse as ListPermissionsResponse,
)
from stackit.authorization.models.list_user_memberships_response import (
    ListUserMembershipsResponse as ListUserMembershipsResponse,
)
from stackit.authorization.models.list_user_permissions_response import (
    ListUserPermissionsResponse as ListUserPermissionsResponse,
)
from stackit.authorization.models.member import Member as Member
from stackit.authorization.models.members_response import (
    MembersResponse as MembersResponse,
)
from stackit.authorization.models.permission import Permission as Permission
from stackit.authorization.models.remove_members_payload import (
    RemoveMembersPayload as RemoveMembersPayload,
)
from stackit.authorization.models.role import Role as Role
from stackit.authorization.models.roles_response import RolesResponse as RolesResponse
from stackit.authorization.models.user_membership import (
    UserMembership as UserMembership,
)
from stackit.authorization.models.user_permission import (
    UserPermission as UserPermission,
)
from stackit.authorization.models.zookie import Zookie as Zookie
